# $Revision: 1.6 $, $Date: 2005/01/23 21:02:03 $
%define		_decoration	crystal
Summary:	Kwin decoration - %{_decoration}
Summary(pl):	Dekoracja kwin - %{_decoration}
Name:		kde-decoration-%{_decoration}
Version:	0.9.1
Release:	1
License:	GPL
Group:		Themes
Source0:	http://www.kde-look.org/content/files/13969-%{_decoration}-%{version}.tar.bz2
# Source0-md5:	52cc7700d4263284f857bc81dda89c0e
URL:		http://www.kde-look.org/content/show.php?content=13969
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdebase-desktop-libs >= 9:3.2.0
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	kdebase-devel >= 9:3.2.0
BuildRequires:	unsermake
BuildRequires:	python
Requires:	kdebase-desktop-libs >= 9:3.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This decoration is very closely modelled on the fvwm2 crystal style,
it's main asset is transparency.
 
It has a sleek and simple design, but it has (pseudo) TRANSPARENT
titlebar, buttons and borders. The style can use the current colors
for the title bar and blends it with the background image of the
desktop, or just play around with the brightness and intensity of the
background image. You can define the amount of shadeness for the
active and inactive window (all between fully transparent and fully
opaque).

%description -l pl
Ta dekoracja jest modelowana bardzo blisko stylu crystal dla fvwm2,
skupiajc si gwnie na przezroczystoci.

Ma gadki i prosty wystrj, ale ma (pseudo) PRZEZROCZYST belk
tytuow, przyciski i ramki. Styl moe uywa biecych kolorw dla
belki tytuowej i miesza je z obrazem ta pulpitu, lub tylko bawi
si jasnoci i nasyceniem obrazu ta. Mona definiowa ilo
cieniowania dla aktywnego i nieaktywnego okna (wszystko midzy
pen przezroczystoci i pen nieprzezroczystoci).

%prep
%setup -q -n %{_decoration}-%{version}

%build
cp -f %{_datadir}/automake/config.sub admin
export UNSERMAKE=%{_datadir}/unsermake/unsermake
%{__make} -f Makefile.cvs

%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir="%{_kdedocdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/kde3/kwin*.la
%attr(755,root,root) %{_libdir}/kde3/kwin*.so
%{_datadir}/apps/kwin/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-decoration-crystal.spec,v $
Revision 1.6  2005/01/23 21:02:03  saq
- up to 0.9.1

Revision 1.5  2005/01/15 23:34:49  jasio
- Added additional BuildRequire for python

Revision 1.4  2004/10/09 14:31:23  zergin
- added missing BR: kdebase-devel

Revision 1.3  2004/08/31 19:22:13  snurf
- typos / formatting / etc.

Revision 1.2  2004/07/12 19:25:24  qboosh
- 4 minutes was too little - pl, cleanups

Revision 1.1  2004/07/12 18:01:58  djurban
- "Creating a spec should take only 4 minutes" - djurban, and so it did.
- a kwin port of fvwm-crystal decoration http://www.kde-look.org/content/pre1/13969-1.jpg
